Skip to main content
PATCH

Authorizations

api_key
string
header
required

Your Lusha API key. You can find this in your Lusha dashboard under API settings.

Include this key in the api_key header for all requests.

Path Parameters

id
string
required

Subscription ID

Body

application/json
signalTypes
string[]

New signal types to subscribe to

url
string<uri>

New webhook URL

Maximum string length: 2048
name
string

New subscription name

Maximum string length: 100
isActive
boolean

Enable or disable subscription

regenerateSecret
boolean

Generate new webhook secret (secret will be returned in response)

Response

Subscription updated successfully

id
string

Subscription ID

Example:

"507f1f77bcf86cd799439011"

entityType
enum<string>
Available options:
contact,
company
Example:

"contact"

entityId
string
Example:

"123456"

signalTypes
string[]
Example:
url
string<uri>
Example:

"https://example.com/webhooks/lusha"

name
string
Example:

"Contact Promotion Tracker"

isActive
boolean
Example:

true

secret
string

Webhook secret for signature verification (only returned during creation or regeneration)

Example:

"whsec_abc123def456ghi789jkl012mno345pqr678stu901vwx234yz"

createdAt
string<date-time>
Example:

"2026-01-14T10:00:00.000Z"

updatedAt
string<date-time>
Example:

"2026-01-14T10:00:00.000Z"